<!DOCTYPE html>
<html>
<meta charset="utf-8" />
<title>WebSocket Test</title>

<script language="javascript" type="text/javascript">
    var wsUri = "ws://localhost:8080/ws";
    var output;

    function init() {
        output = document.getElementById("output");
        testWebSocket();
    }

    function testWebSocket() {
        websocket = new WebSocket(wsUri);

        websocket.onopen = function (evt) {
            onOpen(evt)
        };

        websocket.onmessage = function (evt) {
            onMessage(evt)
        };

        websocket.onerror = function (evt) {
            onError(evt)
        };
    }

    function onOpen(evt) {
        writeToScreen("CONNECTED");
        doSend(JSON.stringify({ "uuid": "6a9157ca-78ec-41f2-a085-fafebbcbae40", "name": "Ofelia D\"Amore", "phone": "400.667.8496 x822", "address": "775 King Ports Suite 437\nNorth Brant, SD 94187-9255", "email": "jacobi.stephania@yahoo.com", "client": "clnt4" }));
    }

    function onMessage(evt) {
        writeToScreen('<span style = "color: blue;">RESPONSE: ' +
            evt.data + '</span>'); websocket.close();
    }

    function onError(evt) {
        writeToScreen('<span style="color: red;">ERROR:</span> ' + evt.data);
    }

    function doSend(message) {
        writeToScreen("SENT: " + message); websocket.send(message);
    }

    function writeToScreen(message) {
        var pre = document.createElement("p");
        pre.style.wordWrap = "break-word";
        pre.innerHTML = message; output.appendChild(pre);
    }

    window.addEventListener("load", init, false);

</script>

<h2>WebSocket Test</h2>
<div id="output"></div>

</html>